Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.screens
Class Error

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Screen
              org.apache.turbine.modules.screens.Error

    public class Error

extends Screen

This is a sample Error Screen module.

Version:
  $Id: Error.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Dave Bryson, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Screen
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`Error()`

Method Summary
`org.apache.ecs.ConcreteElement` | `doBuild(PipelineData pipelineData)` Build screen.
`org.apache.ecs.ConcreteElement` | `doBuild(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Screen
`build, build, getLayout, getLayout, getPrefix, prepareText, prepareTextMinimum, setLayout, setLayout`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Error

    public Error()

Method Detail

### doBuild

    public org.apache.ecs.ConcreteElement doBuild(RunData data)
                                           throws Exception

  Deprecated. Use PipelineData version instead.

  Build screen.

  Specified by:
    `doBuild` in class `Screen`
  Parameters:
    `data` - Turbine information.
  Returns:
    ConcreteElement the page with all the error information.
  Throws:
    `Exception` - a generic exception.

### doBuild

    public org.apache.ecs.ConcreteElement doBuild(PipelineData pipelineData)
                                           throws Exception

  Build screen.

  Overrides:
    `doBuild` in class `Screen`
  Parameters:
    `data` - Turbine information.
  Returns:
    ConcreteElement the page with all the error information.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.